// TITLE: Definitions used by HID class devices
#pragma once
#pragma diag_suppress 2827	// override is C++11
#include "usbd.h"

namespace usb{
struct tHIDDevice:public tDevice{
  bool SendReport(uint8_t *pi8Data, unsigned len);	// hier: len <= 64!
protected:
  virtual bool cbGetDescriptor(const tRequest&) override;
  virtual bool cbRequestHandler(const tRequest&) override;
};
}
